FROM maven:3-jdk-11 AS build
COPY src /opt/app/src
COPY pom.xml /opt/app
RUN mvn -f /opt/app/pom.xml clean package

FROM openjdk:11-jre-slim
COPY --from=build /opt/app/target/eureka-server-0.0.1-SNAPSHOT.jar /opt/app/eureka-server.jar
EXPOSE 8761
ENTRYPOINT ["java","-jar","/opt/app/eureka-server.jar"]
